読者です 読者をやめる 読者になる 読者になる

Octopress

移行準備着手。諸々が何とかなってから vagrant のソレに確認着手の方向。
とりあえずリポジトリは確保。yamanetoshi.github.io にて。
あとは Dropbox の中に octopress のリポジトリを clone して bundle install および rake install とのこと。

RedCloth-4.2.9 の導入に失敗している模様。mkmf.log とか見るにヘッダが無いな。以下の呪文の詠唱が必要らしい。

$ xcode-select --install
$ sudo xcodebuild -liccense

で、再度 bundle install すると RedCloth は無事に導入できてる模様。で、rake install すると以下。

You have already activated rake 10.1.0, but your Gemfile requires rake 0.9.2.2. Using bundle exec may solve this.

確かに rake は 10.1.0 みたい

$ rake --version 
rake, version 10.1.0

どうも bundle update rake ってしないと駄目みたい。とは言え installing rake (0.9.6) と出るも置きかわってはいない模様。あ、以下なのか。

$ bundle exec rake install

成程。あとは _config.yml を修正して、なのか。とりあえず準備はできてるようなのでこの状態で vagrant な確認に着手しつつ控えを云々してみます。

以下を参考にさせて頂きました

ありがとうございます。